com.streambase.liveview.client.dynamictables

## Class Variable

- java.lang.Object
- - com.streambase.liveview.client.dynamictables.Variable

-     public class Variable
      extends Object

  Variables can be used in both test and assignment expressions in the FieldRules. If there is a non-trivial expression that will be used more than once in the evaluation of FieldRules, then use a Variable to save the value of that expression. Note that all Variables will be evaluated for every insert and update of every value. Variables can also be the target of assignments in RuleCases, if there are expressions that only need to be evaluated for certain cases.
  Since:
    2.1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Variable(String name, DataType type, String insertInitialValue, String updateInitialValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInsertInitialValue()`
    `String` | `getName()`
    `DataType` | `getType()`
    `String` | `getUpdateInitialValue()`
    `boolean` | `isComplete()`
    `void` | `setInsertInitialValue(String insertInitialValue)`
    `void` | `setName(String name)`
    `void` | `setType(DataType type)`
    `void` | `setUpdateInitialValue(String updateInitialValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Variable

          public Variable(String name,
                          DataType type,
                          String insertInitialValue,
                          String updateInitialValue)

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getInsertInitialValue

          public String getInsertInitialValue()

      Returns:
        the insertInitialValue

    - #### setInsertInitialValue

          public void setInsertInitialValue(String insertInitialValue)

      Parameters:
        `insertInitialValue` - the insertInitialValue to set

    - #### getUpdateInitialValue

          public String getUpdateInitialValue()

      Returns:
        the updateInitialValue

    - #### setUpdateInitialValue

          public void setUpdateInitialValue(String updateInitialValue)

      Parameters:
        `updateInitialValue` - the updateInitialValue to set

    - #### getType

          public DataType getType()

      Returns:
        the type

    - #### setType

          public void setType(DataType type)

      Parameters:
        `type` - the type to set Note that the complex types -- LIST, TUPLE, CAPTURE, and FUNCTION -- are not currently supported.

    - #### isComplete

          public boolean isComplete()

      Returns:

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.